Subject: Re: linux-2.6.21-ga205752d build #249 failed in net/rxrpc/rxkad.o:(.bss+0x0): multiple definition of `rxrpc_debug'

From: David Howells <[email-masked]>
Date: Sat, 28 Apr 2007 00:19:30 +0100

Toralf Förster <[email-masked]> wrote:

> net/rxrpc/rxkad.o:(.bss+0x0): multiple definition of `rxrpc_debug'
> net/rxrpc/af-rxrpc.o:(.bss+0x10): first defined here

I've submitted a patch that fixes that already.

	Subject: [PATCH 2/3] AF_RXRPC/AFS: Arch-specific fixes

Though DaveM isn't keen on the way I did it, so there'll be another patch to
change it.

What I intend to do, I think, is to drop the #define of rxrpc_debug ->
rxkad_debug and also to drop the definition of rxrpc_debug in rxkad.c.  The
rxrpc_debug in af_rxrpc.c can then be EXPORT_SYMBOL'd and shared between the
two related modules.

Unfortunately, it'll have to wait till later today to give me a chance to test
it.

David